# Uses of Class
org.globus.ftp.vanilla.Command

Packages that use Command
Package
Description
org.globus.ftp
org.globus.ftp.vanilla

## Uses of Command in org.globus.ftp

Methods in org.globus.ftp with parameters of type Command
Modifier and Type
Method
Description
`protected void`
FTPClient.`performTransfer(Command cmd, DataSink sink)`

## Uses of Command in org.globus.ftp.vanilla

Fields in org.globus.ftp.vanilla declared as Command
Modifier and Type
Field
Description
`static final Command`
Command.`ABOR`
`static final Command`
Command.`CDUP`
`static final Command`
Command.`EPSV`
`static final Command`
Command.`FEAT`
`static final Command`
Command.`PASV`
`static final Command`
Command.`PWD`
`static final Command`
Command.`QUIT`
`static final Command`
Command.`SPAS`
Methods in org.globus.ftp.vanilla with parameters of type Command
Modifier and Type
Method
Description
`Reply`
FTPControlChannel.`exchange(Command cmd)`
Write the command to the control channel, block until reply arrives and return the reply.
`Reply`
FTPControlChannel.`execute(Command cmd)`
Write the command to the control channel, block until reply arrives and check if the command completed successfully (reply code 200).
`static String`
Command.`toString(Command command)`
`void`
FTPControlChannel.`write(Command cmd)`
Sends the command over the control channel.